## ros-melodic-cob-navigation-slam 0.6.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_navigation_slam)

find_package(catkin REQUIRED)

catkin_package()

#############
## Install ##
#############

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    message("testing for robot: ${robot}")
    roslaunch_add_file_check(launch ROBOT=${robot})   # testing environment variables
    roslaunch_add_file_check(launch robot:=${robot})  # testing launch file arguments
  endforeach()
endif()

=== debian/changelog ===
ros-melodic-cob-navigation-slam (0.6.11-1bionic) bionic; urgency=high

  * Merge pull request #120 <https://github.com/ipa320/cob_navigation/issues/120> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.10-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.9-1bionic) bionic; urgency=high

  * Merge pull request #107 <https://github.com/ipa320/cob_navigation/issues/107> from floweisshardt/fix/roslaunch_tests
    fix roslaunch checks for all cob_supported_robots
  * fix roslaunch checks for all cob_supported_robots
  * Contributors: Felix Messmer, floweisshardt

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.8-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.7-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.6-1bionic) bionic; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #91 <https://github.com/ipa320/cob_navigation/issues/91> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fez, ipa-fxm, ipa-uhr-mk

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.5-1bionic) bionic; urgency=high

  * remove nav config for unsupported bases
  * arg pkg_nav_config
  * use exported robotlist and envlist
  * remove obsolete configs due to unsupported robots
  * Contributors: ipa-fxm

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.4-1bionic) bionic; urgency=high

  * restructure laser topics
  * Contributors: ipa-fxm

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.3-1bionic) bionic; urgency=high

  * migration to package format v2, indentation fixes
  * remove deprecated launchfiles
  * Contributors: ipa-mig

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.2-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.1-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.6.0-1bionic) bionic; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Tue, 09 Sep 2014 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.5.2-1bionic) bionic; urgency=high

  * cob_navigation_slam: fix maintainer
  * Contributors: ipa-mig

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-navigation-slam (0.5.1-1bionic) bionic; urgency=high

  * add changelog
  * version bump
  * adjust CMakeLists and package.xml
  * set author/maintainer email
  * remove leftover files from catkin migration
  * change config to groovy
  * Added new argument for easier choosing between unified scan and front scan.
  * Catkinisation and gitignore.
  * add roslaunch tests
  * adjust launch files for planner config files and add launch arg to linear nav
  * introduce launch args
  * fix reference frame
  * move ipa launch files to seperate folder
  * adjust roslaunch checks
  * added rviz launch files and config files
  * add additional navigation slam modes
  * fix wiki links inf manifest.xml and stack.xml
  * adjust manifests for documentation
  * fix roslaunch checks
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * fix launch file
  * fix roslaunch tests
  * refactoring of slam launch files
  * refactoring of cob_navigation_config; current cob_drivers required
  * fix roslaunch checks
  * rearrange stack
  * fix dependencies and launch files
  * fix wrong inclusions
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * tidy up and rearrange
  * Contributors: Alexander Bubeck, Denis Štogl, Florian Weisshardt, IPR-SR2, ipa-fmw, ipa-mig
  * Added new argument for easier choosing between unified scan and front scan.
  * Catkinisation and gitignore.
  * add roslaunch tests
  * adjust launch files for planner config files and add launch arg to linear nav
  * introduce launch args
  * fix reference frame
  * move ipa launch files to seperate folder
  * adjust roslaunch checks
  * added rviz launch files and config files
  * add additional navigation slam modes
  * fix wiki links inf manifest.xml and stack.xml
  * adjust manifests for documentation
  * fix roslaunch checks
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * fix launch file
  * fix roslaunch tests
  * refactoring of slam launch files
  * refactoring of cob_navigation_config; current cob_drivers required
  * fix roslaunch checks
  * rearrange stack
  * fix dependencies and launch files
  * fix wrong inclusions
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * tidy up and rearrange
  * Contributors: Alexander Bubeck, Denis Štogl, IPR-SR2, ipa-fmw, ipa-mig

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Thu, 20 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-navigation-slam
Section: misc
Priority: optional
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cob-supported-robots, ros-melodic-roslaunch
Homepage: http://ros.org/wiki/cob_navigation_slam
Standards-Version: 3.9.2

Package: ros-melodic-cob-navigation-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cob-mapping-slam, ros-melodic-cob-navigation-config, ros-melodic-cob-navigation-global, ros-melodic-rviz
Description: This package provides launch files for running Care-O-bot with the gmapping slam package of ROS.
 It further provides the usual navigation functionalities as provided by the move_base node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-navigation-slam//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
